$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-f8920edb2e1579ee1dd56b1ac3f05739d5d5e534/rpcs3-v0.0.11-10612-f8920edb_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'd60bd0439bb6ccfde2ef64d9ba6a17b02f28843605b65cbc56ebfa31e05964f8'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
